STATFS(2)

NOM
statfs, fstatfs - Obtenir des statistiques sur le système de fichiers

SYNOPSIS
#include <sys/vfs.h> /* ou <sys/statfs.h> */

int statfs(const char *path, struct statfs *buf);
int fstatfs(int fd, struct statfs *buf);

DESCRIPTION
La fonction statfs() renvoie des informations à propos d'un système de fichiers monté. path est le nom d'un fichier quelconque dans le système de fichiers. buf est un pointeur sur une structure statfs approximativement définie comme suit :
struct statfs {
   long    f_type;     /* type de système de fichiers       */
   long    f_bsize;    /* Taille optimale de bloc           */
   long    f_blocks;   /* Nombre total de blocs             */
   long    f_bfree;    /* Blocs libres                      */
   long    f_bavail;   /* Blocs libres pour utilisateurs    */
   long    f_files;    /* Nombres de n